Moodle 1.9.7 Versionsinformationen

Wechseln zu: Navigation, Suche

Hinweis: Sie sind auf den Seiten der Moodle 1.9 Dokumentation. Die Dokumentation der aktuellsten Moodle-Version finden Sie hier: Moodle 1.9.7 Versionsinformationen.

Veröffentlicht: 25. November 2009

Hier finden Sie eine vollständige Liste der Bugfixes für Moodle 1.9.7.

Neuerungen

Funktionale Änderungen

  • Kennwortregeln werden bei Neuinstallationen bzw. Aktualisierungen auf Moodle 1.9.7 standardmäßig aktiviert, um die Nutzer zu zwingen, starke Kennwörter zu verwenden. Die Standardpolicy verlangt, dass Kennwörter aus mindestens 8 Zeichen bestehen müssen, davon mindestens eine Ziffer, ein Kleinbuchstabe, ein Großbuchstabe und ein Sonderzeichen. Administratoren können die Kennwortregel unter Website-Administration > Sicherheit > Website-Rechte festlegen.
  • Nach der Aktualisierung auf Moodle 1.9.7 werden Moodle-Administratoren aufgefordert, ihr Kennwort zu ändern, sobald sie sich das nächste Mal anmelden. (gilt nur für manuell oder per E-Mail-Selbstregistrierung angelegte Nutzerkonten).
  • Es wurde eine Kennwortverschlüsselung (Salt) in der Konfigurationsdatei config.php eingeführt, um das Risiko des Kennwortdiebstahls zu reduzieren.
  • Trainer verlieren das Recht, Nutzerdaten in der Kurssicherung zu speichern bzw. Kurse mit Nutzerdaten wiederherzustellen. Gesteuert wird diese neue Funktionalität über die Fähigkeiten moodle/backup:userinfo und moodle/restore:userinfo.
  • Hashwerte von Nutzerkennwörtern werden nicht mehr in Kurssicherungsdateien mit Nutzerdaten gespeichert. Wenn eine Kurssicherungsdatei auf einer neuen Moodle-Installation wiederhergestellt wird, werden Nutzer aufgefordert, ihr Kennwort neu zu setzen (beim erstmaligen Login). Sie durchlaufen dann die Prozedur für vergessene Passwörter.
  • Moodle stellt keine Flashdateien mehr für Browser bereit, die veraltete Flash-Plugins verwenden. Administratoren können die mindestens geforderte Flash-Player-Version unter Website-Administration > Sicherheit > HTTP-Sicherheit festlegen.

Sicherheit

Wichtig: Eine Aktualisierung auf Moodle 1.9.7 wird dringend empfohlen!

Neue Sprachpakete

  • Dhiveni - Ahmed Shareef, Moosa Ali, Amir Hussein

(siehe Danksagung)